# Managing icons in the Javascript tag

Starting with the 3.0 version of the SDK, you can set web push icons directly [from the dashboard](https://doc.batch.com/developer/sdk/getting-started/prerequisites#icons-management), which is the easiest and flexible way to manage your icons.

However, the option of setting icons in the Javascript configuration tag is still possible if you're using a lower version of the SDK.

{% hint style="info" %}
If you are using a version of the SDK above 3.0 and have icons uploaded to the dashboard **and** set in the Javascript configuration tag, **the icons set in the tag will have the priority on the icons uploaded to the dashboard**, for all browsers except Safari.
{% endhint %}

You will need to add the following parameters to the setup object.

```javascript
defaultIcon: 'https://secure.url.to.your.icon.png', // TODO 🔶: Update to use your own defaultIcon, see required format here https://doc.batch.com/web/sdk-integration/initial-setup#default-icon
smallIcon: 'https://secure.url.to.your.icon.png', // TODO 🔶: Update to use your own smallIcon, see required format here https://doc.batch.com/web/sdk-integration/initial-setup#default-icon
```

#### Icons format

**Default Icon**

Configuration key: `defaultIcon` (optional).

Should be a **square image (JPG or PNG)**, with an recommended size of **192x192 pixels**. You can go as low as 80x80, but making it too big or too small will result in a pixellated display. It can contain color and be of any shape you want. If you don't specify it, Chrome users will see a white square instead of what could have been your logo.

**Small Icon**

Configuration key: `smallIcon` (optional).

This is the icon your users will see on their Android devices when they receive a push notification.

It has a recommended size of **96x96 pixels, and will act as a mask**, meaning that it will only use the alpha channel of your image and will color the resulting shape. If you don't specify it, users will see the Chrome logo instead of your website logo. You can easily create one using the [Android Assets Studio](https://romannurik.github.io/AndroidAssetStudio/icons-notification#source.type=clipart\&source.clipart=ac_unit\&source.space.trim=1\&source.space.pad=0\&name=ic_stat_ac_unit). *As of writing, Firefox does not support this feature.*

![](https://38998153-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FCL8wF0y1T2vLnm3yR2MW%2Fuploads%2Fr9pKfESJxCAvguqwg2GV%2Frequired_small_icon.jpg?alt=media\&token=e687d4c4-cc53-48c2-a309-96ec00a9e2ca)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.batch.com/developer/sdk/web/advanced/tag-icons-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
